%define name fuse-emulator
%define sname fuse
%define version 0.8.0.1
%define distsuffix plf
%define release %mkrel 1
%define section More Applications/Emulators
%define title Fuse
%define summary Free Unix Spectrum Emulator

Name: %name
Version: %version
Release: %release
Summary: %summary
License: GPL
Group: Emulators
URL: http://fuse-emulator.sourceforge.net/
Source0: %sname-%version.tar.bz2
Source1: %sname-icons.tar.bz2
BuildRoot: %_tmppath/%name-buildroot
BuildRequires: libjsw-devel libxml2-devel libdsk-devel lib765-devel 
BuildRequires: libspectrum-devel libgcrypt-devel >= 1.1.42 libgtk+2-devel 
BuildRequires: libz-devel libbzip2-devel libpng-devel flex bison perl
Obsoletes: fuse <= 0.7.0-4plf
Conflicts: fuse <= 0.7.0-4plf

%description
What Fuse does have:

* Working 16K/48K/128K/+2/+2A/+3 Speccy, Timex TC2048/TC2068 and
  Pentagon 128 emulation, running at true Speccy speed on any computer
  you're likely to try it on.
* Support for loading from .tzx files.
* Sound (on systems supporting the Open Sound System, SDL, or OpenBSD/
  Solaris's /dev/audio).
* Emulation of most of the common joysticks used on the Spectrum
  (including Kempston, Sinclair and Cursor joysticks).
* Emulation of some of the printers you could attach to a Spectrum.
* Support for the RZX input recording file format, including
  'competition mode'.
* Emulation of the Spectrum +3e, ZXATASP and ZXCF IDE interfaces.

This package is in PLF because it contains emulator related software.

%prep
%setup -q -n %sname-%version
%setup -q -T -D -a1 -n %sname-%version

%build
%configure --with-gtk2 LDFLAGS="$LDFLAGS -lstdc++"
%make

%install
rm -rf %buildroot
%makeinstall
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%sname" \
needs="X11" \
icon="%sname.png" \
section="%section" \
title="%title" \
longtitle="%summary" \
xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{title}
Comment=%{summary}
Exec=%{_bindir}/%{sname}
Icon=%{name}
Terminal=false
Type=Application
Categories=GNOME;GTK;X-MandrivaLinux-MoreApplications-Emulators;
EOF
%__install -D -m 644 %{sname}48.png %buildroot/%_liconsdir/%sname.png
%__install -D -m 644 %{sname}32.png %buildroot/%_iconsdir/%sname.png
%__install -D -m 644 %{sname}16.png %buildroot/%_miconsdir/%sname.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files
%defattr(0755,root,root,0755)
%_bindir/*
%defattr(0644,root,root,0755)
%doc README THANKS COPYING AUTHORS ChangeLog
%_menudir/*
%_datadir/applications/mandriva-%{name}.desktop
%_miconsdir/%{sname}*
%_iconsdir/%{sname}*
%_liconsdir/%{sname}*
%_mandir/*/*
%_datadir/%sname

%changelog
* Mon May 14 2007 Guillaume Bedot <littletux@zarb.org> 0.8.0.1-1plf2008.0
- 0.8.0.1

* Wed May  2 2007 Guillaume Bedot <littletux@zarb.org> 0.8.0-1plf2008.0
- 0.8.0
- drop obsolete patch
- fix build (jsw / stdc++)

* Wed Jul 19 2006 Guillaume Bedot <littletux@zarb.org> 0.7.0-7plf2007.0
- xdg menu
- obsoletes / conflicts with old fuse package

* Wed Mar 15 2006 Guillaume Bedot <littletux@zarb.org> 0.7.0-6plf
- use mkrel

* Wed Mar 15 2006 Guillaume Bedot <littletux@zarb.org> 0.7.0-5plf
- renamed the package since a fuse package now exist in main

* Fri Nov 4 2005 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.7.0-4plf
- added patch to fix compile errors in sound.c with gcc 4

* Wed Feb 16 2005 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.7.0-3plf
- built against new lib765 library major version

* Sun Sep 26 2004 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.7.0-2plf
- changed section Applications/Emulators into More Applications/Emulators

* Mon Jul 19 2004 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.7.0-1plf
- new version

* Sun May 9 2004 Miguel Barrio Orsikowsky <megamik@zarb.org> 0.6.2.1-1plf
- introduce in PLF
- new version
- changed spec file to meet Mandrake's skel.spec
- repackaged icons
- repackaged sources into bz2 format
- removed XFree86 from BuildRequires (redundant), added libjsw-devel
- updated description and summary
- build for GTK2

* Wed Jan  7 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.6.1.1-5mdk
- rebuild
- DIRM fix

* Mon Dec 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.1.1-4mdk
- cleanup
- contrib introduction

* Wed Nov 5 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.1.1-3mdk
- changed the size of normal icon to 32x32 pixels
- icons repackaged into a single tar.bz2 archive
- added bison to BuildRequires

* Sat Nov 1 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.1.1-2mdk
- added normal and large sized icons
- made some fixes and cosmetic changes to the spec file

* Thu Sep 2 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.1.1-1mdk
- new version
- added libgcrypt1-devel to BuildRequires
- changed libspectrum0-devel into libspectrum2-devel in BuildRequires

* Wed Jun 4 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.0.1-1mdk
- version update (security fix)

* Wed May 28 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.0-4mdk
- added icon

* Thu May 22 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.0-3mdk
- added BuildRequires

* Tue May 20 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.0-2mdk
- fixed xml support so configuration saving is now available

* Sun Apr 27 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.0-1mdk
- new version

* Thu Apr 24 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.5.1-1mdk
- first version of the package
- spec file written using Mandrake RPM HOWTO 1.1.1
